Bug 1923277 - rubygem-mysql2: FTBFS in Fedora rawhide/f34
Summary: rubygem-mysql2: FTBFS in Fedora rawhide/f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-mysql2
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-02-01 16:23 UTC by Fedora Release Engineering
Modified: 2021-02-11 19:36 UTC (History)
3 users (show)

Fixed In Version: rubygem-mysql2-0.5.3-7.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-11 19:34:30 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-02-01 16:23 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-02-01 16:23 UTC, Fedora Release Engineering
no flags Details
state.log (1005 bytes, text/plain)
2021-02-01 16:23 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-02-01 16:23:02 UTC
rubygem-mysql2 failed to build from source in Fedora rawhide/f34

https://koji.fedoraproject.org/koji/taskinfo?taskID=60904461


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
Please fix rubygem-mysql2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-mysql2 will be orphaned. Before branching of Fedora 35,
rubygem-mysql2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-02-01 16:23:04 UTC
Created attachment 1752910 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-02-01 16:23:05 UTC
Created attachment 1752911 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-02-01 16:23:06 UTC
Created attachment 1752912 [details]
state.log

Comment 4 Ben Cotton 2021-02-09 15:45:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Fedora Update System 2021-02-11 19:34:30 UTC
FEDORA-2021-590938086b has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-02-11 19:34:38 UTC
FEDORA-2021-9c6e11fac7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.